import m from "./index-toDate.js";
import v from "./index-requiredArgs.js";
import s from "./index-toInteger.js";
function y(t, a) {
  v(2, arguments);
  var r = s(a);
  r % 7 === 0 && (r = r - 7);
  var o = 1, e = m(t), n = e.getUTCDay(), d = r % 7, f = (d + 7) % 7, i = (f < o ? 7 : 0) + r - n;
  return e.setUTCDate(e.getUTCDate() + i), e;
}
export {
  y as default
};
